
%% About This
% Plot blending filters

%% Calculation
[mag1,phs1]=mybode(blendHP,freq);
[mag2,phs2]=mybode(blendLP,freq);
[mag3,phs3]=mybode(blendHP+blendLP,freq);

%% Plot

magmin=-4;magmax=1;

figure(102);

subplot(5,1,[1 2 3])
loglog(...
    freq,mag1,'r-',...
    freq,mag2,'b-',...
    freq,mag3,'k-',...
    'LineWidth',2)
legend(...
    'High Pass',...
    'Low Pass',...
    'Sum',...
    'Location','SouthWest')
grid on
set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
ylim([10^(magmin) 10^(magmax)])
xlim([10^(fmin)   10^(0)  ])
title('Blending Filter','FontSize',16,'FontWeight','bold')
ylabel('Magnitude','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)

subplot(5,1,[4 5])
semilogx(...
    freq,phs1,'r-',...
    freq,phs2,'b-',...
    freq,phs3,'k-',...
    'LineWidth',2)
grid on
ylim([-180 180])
xlim([10^(fmin) 10^(fmax)])
ylabel('Phase [deg]','FontSize',14,'FontWeight','bold')
xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)
set(gca,'YTick',-180:90:180)
