
%% About This
% Plot transfer function from ground displacement to
% F0 and TM displacement

%% Input & Output Port Setting
numi1=find(strcmp('FzF0',varinput));
numo1=find(strcmp('zF0',varoutput));

%% Calculation
[mag1,phs1]=mybode(sysp(numo1,numi1),freq); % FzF0 -> zF0

%% Plot

magmin=-7;magmax=-1;

figure(1011);

subplot(5,1,[1 2 3])
loglog(...
    freq,mag1,'r-',...
    'LineWidth',2)
legend(...
    'FzF0 -> zF0',...
    'Location','SouthWest')
grid on
set(gca,'YTick',logspace(magmin,magmax,(magmax-magmin)+1))
ylim([10^(magmin) 10^(magmax)])
xlim([10^(fmin)   10^(fmax)  ])
title('Actuator Transfer Function',...
      'FontSize',16,'FontWeight','bold')
ylabel('Magnitude [m/N]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)

subplot(5,1,[4 5])
semilogx(...
    freq,phs1,'r-',...
    'LineWidth',2)
grid on
ylim([-180 180])
xlim([10^(fmin) 10^(fmax)])
ylabel('Phase [deg]','FontSize',14,'FontWeight','bold')
xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)
set(gca,'YTick',-180:90:180)
