
%% About This
% Plot transfer function from ground displacement to
% F0 and TM displacement

%% Input & Output Port Setting
numi1=find(strcmp('azg',varinput));
numo2=find(strcmp('zTM',varoutput));

%% Calculation
[mag1,phs1]=mybodeacc(sysp(numo2,numi1),freq); % zgnd -> zF0
[mag2,phs2]=mybodeacc(sysfb(4,1),freq); % zgnd -> zTM

%% Plot

magmin=-5;magmax=1;

figure(1051);

subplot(5,1,[1 2 3])
loglog(...
    freq,mag1,'b-',...
    freq,mag2,'r-',...
    'LineWidth',2)
legend(...
    'Passive',...
    'IP Ctrl ON',...
    'Location','SouthWest')
grid on
set(gca,'YTick',logspace(magmin,magmax,(magmax-magmin)+1))
ylim([10^(magmin) 10^(magmax)])
xlim([10^(fmin)   10^(fmax)  ])
title('Displacement TF from zGND to zTM',...
      'FontSize',16,'FontWeight','bold')
ylabel('Magnitude [m/m]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)

subplot(5,1,[4 5])
semilogx(...
    freq,phs1,'b-',...
    freq,phs2,'r-',...
    'LineWidth',2)
grid on
ylim([-180 180])
xlim([10^(fmin) 10^(fmax)])
ylabel('Phase [deg]','FontSize',14,'FontWeight','bold')
xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)
set(gca,'YTick',-180:90:180)
