
%% About This
% Noise contribution to TM displacement

%% Plot

magmin=-13;magmax=-4;
figure(1060);
  loglog(...
         freq,noise_seism,'k-',...
         freq,noise_GEO,'r-',...
         freq,noise_LVDT,'b-',...
         freq,noise_ACTF0,'g-',...
         'LineWidth',2)
  legend(...
      'Seisic Noise [m/rtHz]',...
      'GEO Noise [m/rtHz]',...
      'LVDT Noise [m/rtHz]',...
      'Act Noise [N/rtHz]',...
      'Location','SouthWest')
  grid on
  set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
  ylim([10^(magmin) 10^(magmax)])
  xlim([10^(fmin) 10^(fmax)])
  title('Noise Model','FontSize',16,'FontWeight','bold')
  ylabel('Magnitude','FontSize',14,'FontWeight','bold')
  xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
  set(gca,'FontSize',14)

