
%% About This
% Noise contribution to TM displacement

%% Plot

magmin=-15;magmax=-4;
figure(1061);
  loglog(...
         freq,nTM_seism,'b-',...
         freq,rmsTM_seism,'c--',...
         freq,nTM_geo,'r-',...
         freq,rmsTM_geo,'m--',...
         freq,nTM_LVDT,'g-',...
         freq,rmsTM_LVDT,'y--',...
         freq,nTM_ACTF0,'k-',...
         freq,rmsTM_ACTF0,'k--',...
         'LineWidth',2)
  legend(...
      'Seisic Noise',...
      'Seismic RMS',...
      'GEO Noise',...
      'GEO RMS',...
      'LVDT Noise',...
      'LVDT RMS',...
      'Act Noise',...
      'Act RMS',...
      'Location','SouthWest')
  grid on
  set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
  ylim([10^(magmin) 10^(magmax)])
  xlim([10^(fmin) 10^(0.2)])
  title('Noise Budget','FontSize',16,'FontWeight','bold')
  ylabel('Magnitude [m/rtHz]','FontSize',14,'FontWeight','bold')
  xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
  set(gca,'FontSize',14)

