
%% About This
% Plot blending filters

%% Calculation
[mag1,phs1]=mybode(filterIPz,freq);

%% Plot

magmin=2;magmax=7;

figure(102);

subplot(5,1,[1 2 3])
loglog(...
    freq,mag1,'r-',...
    'LineWidth',2)
legend(...
    'Servo Filter',...
    'Location','NorthEast')
grid on
set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
ylim([10^(magmin) 10^(magmax)])
xlim([10^(fmin)   10^(fmax)  ])
title('Servo Filter [N/m]','FontSize',16,'FontWeight','bold')
ylabel('Magnitude','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)

subplot(5,1,[4 5])
semilogx(...
    freq,phs1,'r-',...
    'LineWidth',2)
grid on
ylim([-180 180])
xlim([10^(fmin) 10^(fmax)])
ylabel('Phase [deg]','FontSize',14,'FontWeight','bold')
xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',14)
set(gca,'YTick',-180:90:180)
